%{?nodejs_find_provides_and_requires}
%global srcname is-typedarray
Name:                nodejs-%{srcname}
Version:             1.0.0
Release:             1
Summary:             Detect whether or not an object is a Typed Array
License:             MIT
URL:                 https://github.com/hughsk/%{srcname}
Source0:             https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging nodejs-tape
%description
%{summary}.

%prep
%autosetup -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} test.js

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 1.0.0-1
- Package init
